Update content domains
curl --request PATCH \
--url https://app.promptingco.com/api/v1/content/{id}/domains \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"attach": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"detach": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"canonicalDomainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attach: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
detach: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
canonicalDomainId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.promptingco.com/api/v1/content/{id}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.promptingco.com/api/v1/content/{id}/domains"
payload = {
"attach": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"detach": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"canonicalDomainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"ok": true,
"data": {
"id": "<string>",
"domains": [
{
"id": "<string>",
"domain": "<string>",
"pathPrefix": "<string>",
"isCanonical": true
}
]
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Content
Update content domains
PATCH
/
api
/
v1
/
content
/
{id}
/
domains
Update content domains
curl --request PATCH \
--url https://app.promptingco.com/api/v1/content/{id}/domains \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"attach": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"detach": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"canonicalDomainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attach: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
detach: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
canonicalDomainId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.promptingco.com/api/v1/content/{id}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.promptingco.com/api/v1/content/{id}/domains"
payload = {
"attach": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"detach": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"canonicalDomainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"ok": true,
"data": {
"id": "<string>",
"domains": [
{
"id": "<string>",
"domain": "<string>",
"pathPrefix": "<string>",
"isCanonical": true
}
]
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Authorizations
apiKeyAuthbearerAuthcookieAuth
Organization-scoped API key. Available scopes:
- content:read: Read site pages, markdown content, and llms.txt files
- content:write: Create, update, and delete site pages and content
- prompts:read: Read prompts, topics, prompt suggestions, and prompt analysis results
- prompts:write: Create, update, archive prompts and generate, edit, or review prompt suggestions
- simulations:read: Read agent-simulation tasks, runs, environments, and analytics
- simulations:write: Create and trigger simulation runs
- logs:read: Read AI-traffic logs and request-level audit events
- analytics:read: Read analytics aggregates (rankings, mentions, sources, SOV)
- analytics:write: Write events to analytics
- products:read: Read product metadata and competitor data
- products:write: Update product settings and competitor lists
Path Parameters
Minimum string length:
1